POST account/fblogin?accesstoken={accesstoken}

authenticate a user with his facebook access token for now, we allow sso user who have set a password in the site login through the api.

Request Information

Parameters

NameDescriptionAdditional information
accesstoken
the access token of the user's account from facebook

Define this parameter in the request URI.

Response Information

the authenticated member object for the user

Response body formats

application/json, text/json

Sample:
{
  "isDone": true,
  "code": 0,
  "message": "sample string 2",
  "cachedKey": "sample string 3",
  "correlationId": "47ccceda-9341-4114-8a92-e6a484c98b95",
  "data": {
    "user": {
      "id": "sample string 1",
      "email": "sample string 2",
      "firstName": "sample string 3",
      "lastName": "sample string 4",
      "icon": {
        "photo": "sample string 1",
        "isUseAvatar": true,
        "avatarBackgroundColor": "sample string 3",
        "avatarName": "sample string 4"
      },
      "role": 5,
      "roleName": "sample string 6",
      "gender": "sample string 7",
      "birthdate": "2026-02-07T01:49:29.3502039+08:00",
      "isWechatLinked": true,
      "isFacebookLinked": true,
      "isGoogleLinked": true,
      "fullName": "sample string 11",
      "useState": "sample string 12",
      "phone": "sample string 13",
      "isoCode": "sample string 14",
      "countryCode": "sample string 15",
      "language": "sample string 16",
      "referralCodeAsAgent": "sample string 17",
      "referralCodeAsTeacher": "sample string 18",
      "agentReferralCode": "sample string 19",
      "teacherReferralCode": "sample string 20",
      "reportEmails": "sample string 21",
      "disabled": true,
      "subagentEnabled": true,
      "vipExpiredOn": "sample string 24"
    },
    "partnerList": [
      {
        "id": "sample string 1",
        "name": "sample string 2",
        "addedBy": "sample string 3",
        "addedByFullName": "sample string 4",
        "partnerUserAddedBy": "sample string 5",
        "fullName": "sample string 6",
        "role": 0,
        "active": true,
        "enableProduct": false,
        "enableOtherAnswer": true,
        "enablePromotion": false,
        "enableBbs": true,
        "enableOralAndReadBook": true
      },
      {
        "id": "sample string 1",
        "name": "sample string 2",
        "addedBy": "sample string 3",
        "addedByFullName": "sample string 4",
        "partnerUserAddedBy": "sample string 5",
        "fullName": "sample string 6",
        "role": 0,
        "active": true,
        "enableProduct": false,
        "enableOtherAnswer": true,
        "enablePromotion": false,
        "enableBbs": true,
        "enableOralAndReadBook": true
      },
      {
        "id": "sample string 1",
        "name": "sample string 2",
        "addedBy": "sample string 3",
        "addedByFullName": "sample string 4",
        "partnerUserAddedBy": "sample string 5",
        "fullName": "sample string 6",
        "role": 0,
        "active": true,
        "enableProduct": false,
        "enableOtherAnswer": true,
        "enablePromotion": false,
        "enableBbs": true,
        "enableOralAndReadBook": true
      }
    ],
    "authorization": {
      "accessToken": "sample string 1",
      "refreshToken": "sample string 2",
      "utcExpiresDate": "2026-02-07T01:49:29.3502039+08:00",
      "scope": "sample string 3"
    },
    "unitTaskParticipants": [
      {
        "id": 1,
        "name": "sample string 2",
        "participants": "sample string 3",
        "userNames": "sample string 4",
        "emails": "sample string 5"
      },
      {
        "id": 1,
        "name": "sample string 2",
        "participants": "sample string 3",
        "userNames": "sample string 4",
        "emails": "sample string 5"
      },
      {
        "id": 1,
        "name": "sample string 2",
        "participants": "sample string 3",
        "userNames": "sample string 4",
        "emails": "sample string 5"
      }
    ],
    "hasJoinAnyClass": true,
    "enableLearnFunction": true,
    "enableChinesePark": true,
    "enableBbsFunction": true,
    "enableEnglishSpokenUnit": true
  }
}

application/xml, text/xml

Sample:
<ApiResponseOfLoginOutVOFP0KSs_SV xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/AiChinese.Internal.API">
  <CachedKey>sample string 3</CachedKey>
  <Code>None</Code>
  <CorrelationId>47ccceda-9341-4114-8a92-e6a484c98b95</CorrelationId>
  <IsDone>true</IsDone>
  <Message>sample string 2</Message>
</ApiResponseOfLoginOutVOFP0KSs_SV>